Apache Cassandra

From DreamFactory
Jump to: navigation, search
(Created page with "This allows you to use CassandraDB databases. * The version of php-mongodb in the APT repositories is no longer high enough to satisfy the requirements of the mongodb repos u...")
(No difference)

Revision as of 19:27, 14 June 2017

This allows you to use CassandraDB databases.

  • The version of php-mongodb in the APT repositories is no longer high enough to satisfy the requirements of the mongodb repos used. Please install using PECL.
  1. Make sure you have all the required packages
    • $ sudo apt-get install php-dev libgmp-dev libpcre3-dev g++ make cmake libssl-dev openssl
  2. Download Datastax C++ Driver
    • wget
    • wget
    • wget
    • wget
  3. Install the Datastax C++ Driver
    • sudo dpkg -i
    • sudo dpkg -i
    • sudo dpkg -i
    • sudo dpkg -i
  4. Install from PECL
    • $ sudo pecl install cassandra
  5. Create the ini file
    • $ sudo sh -c 'echo "extension=cassandra.so" > /etc/php/7.0/mods-available/cassandra.ini'
  6. Enable the extension
    • $ sudo phpenmod cassandra
  7. Restart your webserver app and/or php-fpm